Package be.e_contract.ejsf.component.script

# Class ScriptMethodExpression

java.lang.Object
javax.el.Expression
javax.el.MethodExpression
be.e_contract.ejsf.component.script.ScriptMethodExpression

All Implemented Interfaces:
  `Serializable`

public class ScriptMethodExpression extends javax.el.MethodExpression

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptMethodExpression(String methodName, ScriptEngine scriptEngine)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getExpressionString()`
`javax.el.MethodInfo`
`getMethodInfo(javax.el.ELContext context)`
`int`
`hashCode()`
`Object`
`invoke(javax.el.ELContext context, Object[] params)`
`boolean`
`isLiteralText()`

### Methods inherited from class javax.el.MethodExpression

`isParametersProvided, isParmetersProvided`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptMethodExpression

public ScriptMethodExpression(String methodName, ScriptEngine scriptEngine)

## Method Details

### getMethodInfo

public javax.el.MethodInfo getMethodInfo(javax.el.ELContext context)

Specified by:
  `getMethodInfo` in class `javax.el.MethodExpression`

### invoke

public Object invoke(javax.el.ELContext context, Object[] params)

Specified by:
  `invoke` in class `javax.el.MethodExpression`

### getExpressionString

public String getExpressionString()

Specified by:
  `getExpressionString` in class `javax.el.Expression`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in class `javax.el.Expression`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `javax.el.Expression`

### isLiteralText

public boolean isLiteralText()

Specified by:
  `isLiteralText` in class `javax.el.Expression`